Search Users For Auth Source

Search Users For Auth Source
Search users for an auth source

The auth source can be SSO/LDAP/AD/VIDM.
For the LDAP/AD auth source, the request should contain the name of the user.
For the SSO/VIDM auth source, request should contain the name of the user and the SSO/VIDM domain.
Username can contain wildcards. Maximum of 25 users are returned for SSO auth source.

Request
URI
POST
https://{api_host}/suite-api/api/auth/sources/{id}/users/search
COPY
Path Parameters
string
id
Required

The id of the auth source


Request Body

The query object for user search
Notes Examples for LDAP/SSO users

user-search-request of type(s) application/json
Required

Show optional properties

{
    "name": "string"
}
{
    "domain": "string",
    "name": "string"
}
string
domain
Optional

The auth source domain. Mandatory for an sso auth source

string
name
Required

The name of the user to be searched. Can contain wildcards

Authentication
This operation uses the following authentication methods.
Responses
200

Users matching the request query
Notes Examples for LDAP/SSO users

Returns user-search-responses of type(s) application/json
{
    "user-search-response": [
        {
            "distinguishedName": "string",
            "emailAddress": "string",
            "externalId": "string",
            "firstName": "string",
            "lastName": "string",
            "name": "string"
        }
    ]
}
array of object
user-search-response
Optional

Collection of users


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"name":"string"}' https://{api_host}/suite-api/api/auth/sources/{id}/users/search
                
Auth Operations
GET
Get Current User
GET
Get Assigned Role Permissions For Current User
GET
Get Current User Role Privileges
GET
Get Available Privilege Groups
GET
Get Available Privileges
GET
Get Roles
POST
Create User Role
PUT
Update User Role
DELETE
Delete User Role
GET
Get Role By Name
DELETE
Remove Role Privileges
GET
Get Role Privileges
POST
Add Role Privileges
PUT
Set Role Privileges
DELETE
Delete Scopes
GET
Get All Object Scopes
POST
Create Scope
PUT
Modify Scope
GET
Get Scope
GET
Get Auth Sources
PATCH
Patch Auth Source With Certificate Details
POST
Add Auth Source
PUT
Update Auth Source
PATCH
Patch Test Auth Source
POST
Test Auth Source
GET
Get VIDB Well Known URL
POST
Search User Groups For Auth Source
PUT
Synchronize User Groups
POST
Import Users
POST
Search Users For Auth Source
DELETE
Delete Auth Source
GET
Get Auth Source
GET
Get Auth Source Types
GET
Get Auth Source Type
POST
Acquire Token
POST
Exchange Ops Token With Jwt Token
POST
Release Token
GET
Get Traversal Specs
DELETE
Delete User Groups
GET
Get User Groups
POST
Create User Group
PUT
Modify User Group
GET
Get Assigned Role Permissions For User Group
PUT
Assign Role Permission To User Group
DELETE
Unassigned Role Permission From User Group
PUT
Assign Traversal Spec To User Group
Deprecated
DELETE
Delete User Group
GET
Get User Group
DELETE
Delete Users
GET
Get Users
POST
Create User
PUT
Modify User
PUT
Change Password
DELETE
Delete User
GET
Get User
GET
Get Assigned Role Permissions For User
PUT
Assign Role Permission To User
DELETE
Unassigned Role Permission From User
PUT
Assign Traversal Spec To User
Deprecated